{ lib, systemConfig, ... }:

{
  imports = with lib.custom; [
    (relativeToBase "modules")
    ./configuration.nix
    ./hardware.nix
  ];

  # Temp fix to not override password until sops have been implemented
  users.users.${systemConfig.username}.hashedPasswordFile = lib.mkForce null;

}
